> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an email of a user



## OpenAPI

````yaml openapi-admin get /users/{id}/emails/{email_id}
openapi: 3.0.3
info:
  version: 1.2.0
  title: Hanko Admin API
  description: >
    ## Introduction


    This is the OpenAPI specification for the [Hanko Admin
    API](https://github.com/teamhanko/hanko/blob/main/backend/README.md#start-private-api).


    ## Authentication


    The Admin API must be protected by an access management system.


    ---
  contact:
    email: developers@hanko.io
  license:
    name: AGPL-3.0-or-later
    url: https://www.gnu.org/licenses/agpl-3.0.txt
servers:
  - url: https://{tenant_id}.hanko.io/admin
    variables:
      tenant_id:
        default: ''
        description: The (UU)ID of a tenant. Replace the default value with your tenant ID.
security: []
externalDocs:
  description: More about Hanko
  url: https://github.com/teamhanko/hanko
paths:
  /users/{id}/emails/{email_id}:
    get:
      summary: Get an email of a user
      operationId: get-users-id-emails-email_id
      parameters:
        - $ref: '#/components/parameters/Id'
        - name: email_id
          in: path
          description: UUID of the requested email
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Email'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - BearerApiKeyAuth: []
components:
  parameters:
    Id:
      name: id
      in: path
      description: UUID of the requested object
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Email:
      type: object
      required:
        - id
        - address
        - is_verified
        - is_primary
        - created_at
        - updated_at
      properties:
        id:
          description: The ID of the email
          allOf:
            - $ref: '#/components/schemas/UUID4'
          example: 802df042-1ac2-496d-af81-6ace729ed055
        address:
          description: The email address
          type: string
          format: email
        is_verified:
          description: Indicated the email has been verified.
          type: boolean
        is_primary:
          description: Indicates it's the primary email address.
          type: boolean
        created_at:
          description: Time of creation of the email
          type: string
          format: date-time
        updated_at:
          description: Time of last update of the email
          type: string
          format: date-time
    UUID4:
      type: string
      format: uuid4
      example: c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 400
            message: Bad Request
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 404
            message: Not found
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 500
            message: Internal Server Error
  securitySchemes:
    BearerApiKeyAuth:
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your API key. Must only be used when using Hanko Cloud.
      type: http
      scheme: bearer
      bearerFormat: API Key

````